API reference

GET /api/v1/files

Files stored under the current project.

Parameters

ParameterTypeRequiredDescription
limitintegernoMaximum number of items to return.
cursorstringnoOpaque pagination cursor from a previous response.

Response

Content-Type application/json. Cache-Control public, max-age=60.

{
  "object": "list",
  "data": [
    {
      "id": "fil_t8wecih9glqctq",
      "created_at": "2022-11-28T18:58:05Z",
      "filename": "50rddqxz.csv",
      "bytes": 689888,
      "checksum": "sha256:jvmb7qx89o80so7vzn7v7tyg925uwzqc"
    },
    {
      "id": "fil_st7d17u7z8rcy0",
      "created_at": "2023-01-02T10:55:30Z",
      "filename": "vmok04s1.zip",
      "bytes": 13807540,
      "checksum": "sha256:fe7k5qxe865t9orhig66xl40cmeqenax"
    },
    {
      "id": "fil_z22g3m2282bkoc",
      "created_at": "2023-01-01T07:06:31Z",
      "filename": "r6slutkh.json",
      "bytes": 12859443,
      "checksum": "sha256:8q6ytopx4eyomedqmmsi9j62e30jc5np"
    },
    {
      "id": "fil_zsnwln4qcrwh8n",
      "created_at": "2023-02-05T02:49:44Z",
      "filename": "vxnvtr4c.pdf",
      "bytes": 8180461,
  ...

Example

curl -s https://media.badgereu.win/api/v1/files